Skip to content
GET/{organizationId}/{mandateId}/crm/rules/{ruleId}

Get rule

Returns a specific CRM rule

Required permissions:

  • mandate.read

  • contactRule.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
ruleIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/rules/{ruleId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/rules/{ruleId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

namestringrequired

minLength: 1

maxLength: 100

ObjectId as string

contactTypestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier

maxItems: 20

executionsCountintegerrequired

minimum: 0

maximum: 9007199254740991

lastExecutedAtdate-time | nullrequired
schedulestring | nullrequired

minItems: 1

maxItems: 10

Response

200
{
  "_id": "000000000000000000000001",
  "name": "string",
  "mandate": "000000000000000000000001",
  "contactType": "member",
  "contactSegments": [
    "string"
  ],
  "trigger": {
    "type": "created",
    "rrule": null
  },
  "executionsCount": 0,
  "lastExecutedAt": "2026-06-15T22:30:00Z",
  "schedule": "string",
  "actions": [
    {
      "id": "string",
      "name": "string",
      "type": "sendContactEmail",
      "condition": {
        "operator": "and",
        "conditions": [
          null
        ]
      },
      "emailTexts": {
        "subject": "string",
        "message": "string"
      },
      "expressaTemplate": "000000000000000000000001",
      "attachments": [
        {
          "resource": "string",
          "id": "string"
        }
      ],
      "mailingTags": "string",
      "alternateCommunications": true
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}